# Storage media mounted

A decision block that checks if the storage volume at mounting point path (e.g. an SD card or USB drive) is mounted (available) or unmounted (unavailable).

If the proceed option is set to Immediately, then check if the volume is currently mounted without pausing the fiber. If set to When changed, then the fiber will pause until the storage volume has been mounted, or was unmounted.

The mounting point path may contain glob patterns, use `"*"` to match any storage volume.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Mounting point path — path to storage volume, may contain glob pattern, default to primary external storage.
- Writable — whether the storage volume should be writable to be considered mounted.

## Output variables

- Mounting point path — variable to assign the path to matched storage volume.